Skip to main content
PATCH
/
api
/
v4
/
projects
/
{projectId}
/
columns
/
{columnId}
curl -X PATCH "https://fluar.com/api/v4/projects/proj_550e8400e29b41d4a716446655440000/columns/col_ddd444" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "dependencies": [
      { "columnId": "_trigger", "required": true }
    ],
    "taskConfig": {
      "taskType": "waterfallEmail",
      "waterfallEmail": {
        "inputMapping": {
          "first_name": "@{col_aaa111}",
          "last_name": "@{col_bbb222}",
          "domain": "@{col_ccc333}"
        }
      }
    }
  }'
{
  "success": true,
  "column": {
    "id": "col_ddd444",
    "header": "Find Work Email",
    "type": "task",
    "dataShape": "waterfall",
    "order": 3,
    "dependencies": [
      { "columnId": "_trigger", "required": true }
    ],
    "taskConfig": {
      "taskType": "waterfallEmail",
      "waterfallEmail": {
        "inputMapping": {
          "first_name": "@{col_aaa111}",
          "last_name": "@{col_bbb222}",
          "domain": "@{col_ccc333}"
        }
      }
    }
  },
  "appliedFixes": ["Set default column size to 180"]
}
Update the configuration of an existing column. Only the fields you include in the request body will be changed. Column structure is automatically validated and fixed after each update. Requires a Bearer token.
curl -X PATCH "https://fluar.com/api/v4/projects/proj_550e8400e29b41d4a716446655440000/columns/col_ddd444" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "dependencies": [
      { "columnId": "_trigger", "required": true }
    ],
    "taskConfig": {
      "taskType": "waterfallEmail",
      "waterfallEmail": {
        "inputMapping": {
          "first_name": "@{col_aaa111}",
          "last_name": "@{col_bbb222}",
          "domain": "@{col_ccc333}"
        }
      }
    }
  }'
{
  "success": true,
  "column": {
    "id": "col_ddd444",
    "header": "Find Work Email",
    "type": "task",
    "dataShape": "waterfall",
    "order": 3,
    "dependencies": [
      { "columnId": "_trigger", "required": true }
    ],
    "taskConfig": {
      "taskType": "waterfallEmail",
      "waterfallEmail": {
        "inputMapping": {
          "first_name": "@{col_aaa111}",
          "last_name": "@{col_bbb222}",
          "domain": "@{col_ccc333}"
        }
      }
    }
  },
  "appliedFixes": ["Set default column size to 180"]
}